# Interface TextTrackSettingsComponentDependencies

interface TextTrackSettingsComponentDependencies {
componentOptions: TextTrackSettingsComponentOptions;
name: string;
type?: string;
}

#### Hierarchy (view full)

- ModalDialogComponentDependencies
  - TextTrackSettingsComponentDependencies

#####
Index

### Properties

componentOptions
name
type?

## Properties

### componentOptions

componentOptions: TextTrackSettingsComponentOptions

Overrides ModalDialogComponentDependencies.componentOptions

### name

name: string

Inherited from ModalDialogComponentDependencies.name

### `Optional` type

type?: string

Inherited from ModalDialogComponentDependencies.type